var mainsearch = function() {
    var self = this;
    this.filter = {
        PageSize: 20,
        PageIndex: 0,
        keyword: ''
    };
    this.hot_filter = {
        type_field: 2,
        PageSize: 9
    };
    this.onLoad = function(opt, cb) {
        this.hotword(cb);
        this.data.keyword = opt.keyword;
        this.data.cachewords = api.db.get('Search_Keys')
            ? api.db.get('Search_Keys')
            : [];
        $('#SearchApp').show();
        var user = api.db.get('user') || {};
        self.data.avatar=user.avatar;
        var nTop = $(".nav")[0].offsetTop;
        var nHeight = $(".nav")[0].offsetHeight;
        $(window).scroll(function(){
          var _sHeight = $(window).scrollTop();
          if(_sHeight >= nTop+nHeight){
            $(".navfixed").show();
          }else{
            $(".navfixed").hide();
          }
        });

        if(opt.keyword == '') return false;
        $('#search-input').val(opt.keyword);
        self.filter.keyword = opt.keyword;
        self.loadList();
        return false;
    };
    this.onShow = function() {
        $('#search_book_kw1').tap(function() {
            var values = $('#search-input').val();
            if (values == '') return false;
            self.filter.keyword = values;
            self.loadList();
            return false;
        });
    };
    this.loadList = function() {
        try {
            if (self.filter.keyword != '') {
                var Search_Keys = api.db.get('Search_Keys')
                    ? api.db.get('Search_Keys')
                    : [];
                Search_Keys.push(self.filter.keyword);
                var set = new Set(Search_Keys);
                var newArr = Array.from(set);
                api.db.set('Search_Keys', newArr);
                this.data.cachewords = newArr;
            }
            api.net
                .ajaxjson('/novel/search', self.filter)
                .then(function(r) {
                    self.setData({
                      list: r.data.list
                    });
                })
                .catch(function(r) {});
        } catch (err) {
            console.log(err);
        }
    };
    this.hotword = function(cb) {
        api.net.ajaxjson('/novel/searchkey').then(function(r) {
          // alert(JSON.stringify(r))
            self.setData({
                words: r.data.list
            });
            cb();
        });
    };
    this.eclearinput = function() {
        $('#search-input').val('');
        this.data.list = '';
    };
    this.esearchitem = function(r) {
        $('#search-input').val(r.text);
        self.filter.keyword = r.text;
        self.loadList();
    };
    this.eclearhistoty = function() {
        api.db.set('Search_Keys', '');
        this.data.cachewords = [];
    };



    this.epay = function() {
        var channel = api.db.get('channel') || {link: 0,channel: '未知'};
        app.gopay(
          this.data.paylink,
          channel.link,
          0,
          0);
    };
};
