/* reading function */
var rtools = rtools || {};
rtools.config = {},
rtools.isShow = !1,
rtools.islogin = !1,
rtools.uid = 0,
rtools.bid = 0,
rtools.cid = 0,
rtools.setting = {fontcolor:"",fontsize:"",nightmode:"day",speed:50,tiptime:0,sizenum:"0"},
rtools.getinfo = function(){
    if(typeof x5_uid != "undefined")rtools.uid = x5_uid;
    if(typeof x5_aid != "undefined")rtools.bid = x5_aid;
    if(typeof x5_cid != "undefined")rtools.cid = x5_cid;
    if(typeof user_money != "undefined"){
        rtools.money.balance = user_money;
        rtools.flower.balance = user_money;
    }
},
rtools.int = function(){
    rtools.poptip();
    rtools.getinfo();
    $("#chapter").on("click",function(e){rtools.start(e)});
    $("#chapter").on("doubleTap",rtools.scroll.launch);        //双击暂停滚屏;
    $("#t-m-mode,#t-m-mode2").on("click",function(){rtools.read.change(this)}); //切换阅读模式
    $("#t-m-mode1,#t-m-mode4").on("click",function(){rtools.read.change(this)}); //切换阅读模式
    $("#t-f-i1").off("click").on("click",rtools.font.increase);//放大
    $("#t-f-d1").off("click").on("click",rtools.font.decrease); //缩小
    $("#t-m-clt").on("click",function(){rtools.collect.confirm(this)});   //收藏
    $("#t-m-clt2").on("click",function(){rtools.collect.confirm(this)});   //收藏
    rtools.component.int("#t-m-font",rtools.font);      //字体
    rtools.component.int("#t-m-off",rtools.offline);    //离线
    rtools.component.int("#t-m-scrol",rtools.scroll);   //滚动
    rtools.readsetting();
    $(".category").click(function(){
        if($(".category").hasClass("catalog_cont_n")){
          $(".catalog_cont").show();
          $(".category").removeClass("catalog_cont_n");
        }else{
          $(".catalog_cont").hide();
          $(".category").addClass("catalog_cont_n");
        }
    });            //读取用户设置
},
rtools.readsetting = function(){
    var setting = window.localStorage.getItem("kssetting");
    if(setting){
        setting = JSON.parse(setting);
        rtools.setting = setting;
        $("#read-box").addClass(setting.fontsize);
        $("#read-box").addClass(setting.fontcolor);
        $("#read-box").attr("size",setting.sizenum);

        rtools.read.mode = setting.nightmode;
        if(setting.nightmode == "night"){
            rtools.font.removestyle();
            $("#read-box").addClass("night-mode");
        }
        rtools.scroll.speed = setting.speed;
    }else{
      $("#read-box").addClass('font-color-1');
    }
},
rtools.start = function(e){
    var ey = e.clientY, ex = e.clientX;
    if(!rtools.position(ey,ex))return;
    if(!rtools.isShow)rtools.show();
    else rtools.hide();
    return !1;
},
rtools.poptip = function(){
    var kstipdate = window.localStorage.getItem("kstipdate");
    if(typeof kstipdate != null && typeof kstipdate != ""){
        var date = new Date();
        var times = date.getTime() - kstipdate;
        var days = parseInt(times/(24*60*60*1000));
        if(days<=7)
            return;
        else{
            window.localStorage.setItem("kstipdate",date.getTime());
            // $("#t-pop-tip").fadeIn().on("click",function(){$(this).hide()});
        }
    }else{
        // $("#t-pop-tip").fadeIn().on("click",function(){$(this).hide()});
    }
},
rtools.viewHeight = function(){
    var a = document,
    b = a.compatMode == "BackCompat" ? a.body: a.documentElement;
    return b.clientHeight
},
rtools.viewWidth = function() {
    var a = document,
    b = a.compatMode == "BackCompat" ? a.body: a.documentElement;
    return b.clientWidth
},
rtools.position = function(y,x){
    var vh = rtools.viewHeight(), vw = rtools.viewWidth();
    var y1 = vh*.2, y2 = vh*.8, x1 = vh*.2, x2 = vh*.8;
    if(y<y1 || y>y2)return !1;
    else return 1;
},
rtools.show = function(){
    $("#t-nav").show();
    $("#t-menu").show();
    $("#t-prev").show();
    $("#t-next").show();
    $(".join_bookshelf").show();
    rtools.isShow = 1;
},
rtools.hide = function(){
    $("#t-nav").hide();
    $("#t-menu").hide();
    $("#t-prev").hide();
    $("#t-next").hide();
    $(".catalog_cont").hide();
    $(".category").addClass("catalog_cont_n");
    $(".join_bookshelf").hide();
    rtools.isShow = !1;
},
rtools.animate = rtools.animate || {},
rtools.animate.show = function(c,o){
    //rtools.hide();
    var _theight = $("#t-menu").height();
    $(c).css("visibility","visible").animate({"bottom":_theight},200);
    $(c).css('width','100%');
    $(c).css('margin-left','0');
    if(!o)return;
    $(".t-cover").show().on("click",function(){
        o.hide();
        $(this).hide()
    });
    o.isShow = 1;
},
rtools.animate.show1 = function(c,o){
    rtools.hide();
    $(c).fadeIn().animate({"bottom":"50%"},100);
    $(c).css('width','80%');
    $(c).css('margin-left','10%');
    if(!o)return;
    $(".t-cover").show().on("click",function(){
        o.hide();
        $(this).hide()
    });
    o.isShow = 1;
},
rtools.animate.hide = function(c,o){
    $(".t-cover").hide();
    $(c).animate({"bottom":"-180px"},100).css("visibility","hidden");
    o.isShow = !1;
},
rtools.component = rtools.component || {},
rtools.component.int = function(c,o){
    $(c).off("click").on("click",function(){
        if(!o.isShow)o.show();
        else o.hide();
    });
},
rtools.tips = rtools.tips || {},
rtools.tips.isShow = !1,
rtools.tips.show = function(){
    rtools.animate.show(".t-tips", rtools.tips);
},
rtools.tips.show1 = function(){
    rtools.animate.show1(".t-tips", rtools.tips);
},
rtools.tips.hide = function(){
    rtools.animate.hide(".t-tips", rtools.tips);
},
rtools.collect = rtools.collect || {},
rtools.collect.hascolect = false;
rtools.comment = rtools.comment || {},  //评论
rtools.comment.isShow = !1,
rtools.comment.show = function(){
    if(!rtools.uid || rtools.uid==0){
        rtools.tips.getmsg();
        return;
    }
    rtools.animate.show(".t-cmt", rtools.comment);
    $("#t-c-c").off("click").on("click",rtools.comment.hide);
    $("#t-c-s").off("click").on("click",rtools.comment.submit)
},
rtools.comment.hide = function(){
    rtools.animate.hide(".t-cmt", rtools.comment)
},
rtools.comment.countLen = function(s){
    var n = s.length,len = 0;
    for(var i = 0; i < n; i++){
        var ns = s[i];
        if(ns == null)ns = s.substring(i, i + 1);
        if(ns.match(/[^\x00-\xff]/ig) != null){
            len += 2
        }else{
            len += 1
        }
    }
    len = parseInt(len/2);
    return len
},
rtools.comment.trim = function(s){
    return s.replace(/(^\s*)|(\s*$)/g, "")
},
rtools.comment.sleep = function(sleepTime){
    for(var start = Date.now(); Date.now() - start <= sleepTime; ) { }
    return true;
},
rtools.comment.check = function(){
    var msg = $("#t-c-a").val();
        n = rtools.comment.countLen(rtools.comment.trim(msg));
    if(n>0)return 1;
    return !1
},
rtools.font = rtools.font || {},    //字体
rtools.font.isShow = !1,
rtools.font.sizenow = 0,
rtools.font.style = ["font-color-1","font-color-2","font-color-3","font-color-4"],
rtools.font.size = ["font-smaller","font-small","font-orign","font-big","font-bigger"],
rtools.font.show = function(){
    rtools.animate.show(".t-font", rtools.font);
    $("#t-fc-1").off("click").on("click",function(){rtools.font.setstyle(1)});
    $("#t-fc-2").off("click").on("click",function(){rtools.font.setstyle(2)});
    $("#t-fc-3").off("click").on("click",function(){rtools.font.setstyle(3)});
    $("#t-fc-4").off("click").on("click",function(){rtools.font.setstyle(4)});
},
rtools.font.hide = function(){
    rtools.animate.hide(".t-font", rtools.font)
},
rtools.font.setstyle = function(n){
    var mode = rtools.read.mode,
        sa = rtools.font.style;
        console.log(sa[n])
    var dom = $("#t-m-mode")[0];
    if(mode == "night"){
        rtools.read.change(dom);
    }
    rtools.font.removestyle();
    if(n)$("#read-box").addClass(sa[n-1]);
    rtools.setting.fontcolor = sa[n-1];
    rtools.setting.nightmode = "day";
    var setting = JSON.stringify(rtools.setting);
    window.localStorage.setItem("kssetting",setting);
},
rtools.font.removestyle = function(){
    var sa = rtools.font.style;
    for(var i=0;i<sa.length;i++){
        $("#read-box").removeClass(sa[i])
    }
},
rtools.read = rtools.read || {},
rtools.read.mode = "day",
rtools.read.change = function(o){       //夜间模式
    var m = rtools.read.mode;
    rtools.font.removestyle();
    if(m == "day"){
        rtools.read.mode = "night";
        $("#read-box").addClass("night-mode");
        $("#tltj").addClass("night-mode");
        $("#afl a").css("color","#fff");
        $(o).find("b").html("白天");
    }
    if(m == "night"){
        rtools.read.mode = "day";
        $("#read-box").removeClass("night-mode");
        $("#tltj").removeClass("night-mode");
        $("#afl a").css("color","#1e1e1e");
        $(o).find("b").html("夜间");
    }
    rtools.setting.nightmode = rtools.read.mode;
    var setting = JSON.stringify(rtools.setting);
    window.localStorage.setItem("kssetting",setting);
},
rtools.scroll = rtools.scroll || {},    //滚屏
rtools.scroll = (function() {
    var top, timer, height = $("#chapter").height();
    function startTimer() {
        stopTimer();
        timer = setInterval(scroll, rtools.scroll.speed);
    }
    function scroll() {
        top = $("#chapfoot").scrollTop();
        window.scrollBy(0,1);
        if(top>=height)stopTimer();
    }
    function stopTimer() {
        clearInterval(timer);
    }
    return {starts:startTimer,stops:stopTimer};
})(),
rtools.scroll.isShow = !1,
rtools.scroll.speed = 50,
rtools.scroll.isstop = 1,
rtools.scroll.speedup = function(){
    var realspeed = rtools.scroll.speed, speed = 100 - realspeed;
    if(speed<=90){
        rtools.scroll.speed-=10;
    }
    rtools.scroll.start();
},
rtools.scroll.reduce = function(){
    var realspeed = rtools.scroll.speed, speed = 100 - realspeed;
    if(speed>10)rtools.scroll.speed+=10;
    else return;
    rtools.scroll.start()
},
rtools.scroll.stop = function(){
    rtools.scroll.isstop = 1;
    rtools.scroll.stops();
    rtools.scroll.showSpeed();
    rtools.scroll.coveroff()
},
rtools.scroll.start = function(){
    rtools.scroll.isstop = 0;
    rtools.scroll.starts();
    rtools.scroll.showSpeed();
    rtools.scroll.coveron();
    rtools.setting.speed = rtools.scroll.speed;
    var setting = JSON.stringify(rtools.setting);
    window.localStorage.setItem("kssetting",setting);
},
rtools.scroll.showSpeed = function(){
    if(rtools.scroll.timer)clearTimeout(rtools.scroll.timer);
    $("#t-s-n").html(100-rtools.scroll.speed).show();
    rtools.scroll.timer = setTimeout(function(){$("#t-s-n").fadeOut()},2000)
},
rtools.scroll.launch = function(){
    if(rtools.scroll.isstop){
        rtools.scroll.show();
        rtools.scroll.start();
    }else{
        rtools.scroll.hide();
        rtools.scroll.stop();
    }
},
rtools.scroll.coveron = function(){
    $(".t-scroll-lock").show().off("click").on("click",rtools.scroll.launch);
},
rtools.scroll.coveroff = function(){
    $(".t-scroll-lock").hide().off("click");
},
rtools.scroll.show = function(){
    $(".t-font").hide();
    rtools.isShow = !1;
    rtools.scroll.start();
    rtools.animate.show(".t-scrol");
    $("#t-s-i").off("click").on("click",rtools.scroll.speedup);
    $("#t-s-d").off("click").on("click",rtools.scroll.reduce);
    $("#t-s-s").off("click").on("click",rtools.scroll.start);
},
rtools.scroll.hide = function(){
    rtools.animate.hide(".t-scrol", rtools.scroll);
    return !1;
};
rtools.int();
