var accountlogin = function() {
    var self = this;
    var user = {};
    this.logincb = function(r) {

        r && r.data && app.setuser(r.data);
        var name = api.db.get('loginpage');
        api.db.set('loginpage', '');
        if (name && name.indexOf('/') > -1) {
            api.page.go(name);
        } else {
            api.closeToWin({ name: name || 'root' });
        }
    };
    this.onLoad = function() {
        app.onready(function() {
            self.user = api.db.get('user') || {}
            if (!self.user || !self.user.id) {
                self.register(self.logincb);
            }
        });
    };

    this.login = function(cb){
        // TODO: 用户使用账号密码登录
        var username = $('#username').val();
        var password = $('#password').val();
          var channel = api.db.get('channel') || {};
        if(username !='' && password != ''){
          var data ={
                link_id : channel.link,
                username :username,
                password : password
            }
            api.net
            .ajaxjson('/user/devicelogin',data)
            .then(function(r){
              cb(r,data);
            });
          }
      }

    this.register = function(cb) {
        var channel = api.db.get('channel') || {};
        var img = ["../../image/dog1.png","../../image/dog2.png","../../image/dog3.png"]
        var url=img[Math.floor(Math.random()*img.length)];

        // FIXME: 用户头像应该用随机图片
        var data = {
            link_id: channel.link,
            headimgurl : url
        }
        api.net.ajaxjson('/user/devicelogin', data).then(function(r) {cb(r, data);});
    };
};
var accountwxlogin = function() {
    var self = this;
    this.logincb = function(r) {
        r && r.data && app.setuser(r.data);
        var name = api.db.get('loginpage');
        api.db.set('loginpage', '');
        if (name && name.indexOf('/') > -1) {
            api.page.go(name);
        } else {
            api.closeToWin({
                name: name || 'root'
            });
        }
    };
    this.thirdcb = function(r) {
        var channel = api.db.get('channel') || {
            link: 0,
            channel: '未知',
            novel: 0,
            id: 0
        };
        // 统计微信登录事件
        api.statistics.onEvent({
            eventId: 'login_weixin',
            label: channel.channel || '未知'
        });
        // push 模块绑定用户
        api.push.bind({
            uid: r.data.id,
            type: 'wechat',
            username: r.data.nickname,
            userId: r.data.openid,
            linkId: parseInt(channel.link) || 0,
            channel: channel.channel || '未知',
            novelId: parseInt(channel.nid) || 0,
            chapterId: parseInt(channel.id) || 0
        });

        app.setuser(r.data);
        self.logincb();
    };
    this.onLoad = function() {
        $('.login-wx').tap(function() {
            self.loginwx(self.thirdcb);
        });
    };

    this.loginwx = function(cb, pay) {
        var wx = api.require('wx');
        var channel = api.db.get('channel') || {};
        wx.auth({}, function(ret, err) {
            if (!ret.status) {
                api.msg.toast(
                    [
                        '未知错误',
                        '',
                        '取消登录',
                        '请授权才可以登录',
                        '没有安装微信'
                    ][err.code + 1] || '登录失败！'
                );
                return false;
            }
            wx.getToken({ code: ret.code }, function(tret) {
                if (!tret.status) {
                    api.msg.toast('登录失败！请重试');
                    return false;
                }
                var reqUserInfoParam = {
                    accessToken: tret.accessToken,
                    openId: tret.openId
                };
                wx.getUserInfo(reqUserInfoParam, function(uret) {
                    if (!uret.status) {
                        api.msg.toast('登录失败！请重试');
                        return false;
                    }
                    var third = {
                        device: api.device.info,
                        third: '微信App',
                        openid: tret.openId,
                        nickname: uret.nickname,
                        headimgurl: uret.headimgurl,
                        unionid: uret.unionid,
                        sex: uret.sex,
                        link_id: channel.link
                    };
                    if (pay) {
                        cb(0, third);
                    } else {
                        api.net
                            .ajaxjson('/user/thirdlogin', third)
                            .then(function(r) {
                                cb(r, third);
                            });
                    }
                });
            });
        });
    };
};
var accounregister = function() {
    var self = this;
    this.logincb = function(r) {
        r && r.data && app.setuser(r.data);
        var name = api.db.get('loginpage');
        api.db.set('loginpage', '');
        api.closeToWin({
            name: name || 'root'
        });
    };
    this.onLoad = function() {
        $('.sms').tap(function() {
            app.sendSms('#Phone', '#smsCode', 'reg');
        });
        $('#protocol').tap(function() {
            if ($(this).attr('src') == '../../image/circle.png') {
                $(this).attr('src', '../../image/circle_on.png');
            } else {
                $(this).attr('src', '../../image/circle.png');
            }
        });
        $('.btn-register').tap(function() {
            if ($('form').validate()) {
                if ($('#protocol').attr('src') == '../../image/circle.png') {
                    api.msg.toast('请同意《用户注册协议》');
                } else {
                    var json = $('form').formjson();
                    json.device = api.device.info;
                    var reg = /^[0-9a-zA-Z]+$/;
                    if (!reg.test(json.Password)) {
                        api.msg.toast('密码只能由数字和字母组成');
                        return false;
                    }
                    api.net.ajaxjson('/user/reg', json, self.logincb);
                }
            }
        });
        var clientH = document.documentElement.clientHeight;
        $(window).on('resize', function() {
            var bodyH = document.body.scrollHeight;
            if (bodyH < clientH) {
                $('#gologin').hide();
            } else {
                $('#gologin').show();
            }
        });
    };
};
