app = new function() {
    var self = this;
    var isready = false;
    this.user = {};
    this.channel = {};
    var onreadycb = [];
    this.wxisinit = 1;
    var me = {};
    this.init = function() {
        // 退出登录
        // api.db.clear('user');
        // api.db.clear('authtoken');
        // api.db.clear('channel');
        self.user = api.db.get('user') || {};
        if (api.device.systemType == 'android') {// android 平台的初始化
            self.channel = api.db.get('channel') || {novel: 0,id: 0,link:0,channel: '未知'};
            if (!self.channel.link){ // link 不存在
                // 读取app的渠道信息
                var channel = api.require('channel').channel()|| {};
                if(channel && channel.link){
                    api.db.set('channel',channel);
                    self.channel = channel;
                }
            }
        }else{
            self.channel = {novel: 0,id: 0,link: 0,channel: '未知'};
            api.db.set('channel',self.channel);
        }
        self.checklogin();

        self.ready();
        $('.app-home').tap(function() {
  
            api.page.backTo('root');
        });
        api.addEventListener({ name: 'logincb' }, function() {
            self.user = api.db.get('user') || {};
            api.net.authtoken = Api.db.get('authtoken');
        });
        // if (!self.checklogin() && self.channel.link) {
        //     // 如果用户未登录
        //     var loginpage = self.readpage(
        //         self.channel.novel,
        //         self.channel.id,
        //         self.channel.link
        //     );
        //     api.db.set('loginpage', loginpage);
        // }


        api.setStatusBarStyle({
            style: 'dark',
            color:'#ffffff'
        });
    };
    this.onready = function(cb) {
        isready ? cb() : onreadycb.push(cb);
    };
    this.ready = function() {
        isready = true;
        for (var i = 0; i < onreadycb.length; i++) {
            try {
                onreadycb[i]();
            } catch (error) {}
        }
        onreadycb = [];
    };
    this.setuser = function(u) {
        api.db.set('user', u);
        self.user = u;
        api.sendEvent({
            name: 'logincb'
        });
    };
    this.checklogin = function() {
        if (!self.user || !self.user.id) {
            // api.page.go('/pages/account/login');
            // return false;
            var channel = api.db.get('channel') || {};
            var img = ["../../image/dog1.png","../../image/dog2.png","../../image/dog3.png"]
            var url=img[Math.floor(Math.random()*img.length)];

            // FIXME: 用户头像应该用随机图片
            var data = {
                link_id: channel.link,
                headimgurl : url
            }
            api.net.ajaxjson('/user/devicelogin', data).then(function(r){
              r && r.data && app.setuser(r.data);
              if(self.channel.link){
                  var loginpage = self.readpage(
                      self.channel.novel,
                      self.channel.id,
                      self.channel.link
                  );
                  if (loginpage && loginpage.indexOf('/') > -1) {
                      api.page.go(loginpage);
                  }
              }
            });
        }
        return true;
    };
    this.gopay = function(paylink, linkid, nid, csid) {
        api.page.go(
            '/pages/main/recharge?linkid=' +
                linkid +
                '&nid=' +
                nid +
                '&csid=' +
                csid
        );
    };
    this.readpage = function(novelid, id, linkid) {
        var u = '/pages/novel/read?nid=' + novelid + '&id=' + id;
        if (linkid) {
            return u + '&linkid=' + linkid;
        }
        return u;
    };
    this.sendSms = function(uiphone, uisms, tpl) {
        if (me.sendSmsNum && me.sendSmsNum > 0) return;
        if (api.validate.valid($(uiphone)[0])) {
            var $sms = $(uisms);
            api.net
                .ajaxjson('/user/sendSms', {
                    tpl: tpl,
                    Phone: $(uiphone).val()
                })
                .then(function() {
                    me.sendSmsNum = 60;
                    $sms.addClass('num-s').html(me.sendSmsNum + 's后重试');
                    var tobj = setInterval(function() {
                        if (--me.sendSmsNum <= 0) {
                            clearInterval(tobj);
                            $sms.removeClass('num-s').html('获取验证码');
                        } else {
                            $sms.html(me.sendSmsNum + 's后重试');
                        }
                    }, 1000);
                });
        }
    };
}();
