var homeindex = function() {
    var self = this;
    var data = {};

    this.data = {
        history: {},
        type_field: '2',
        types: '',
        update_status: '',
        cate_status: 1
    };
    this.filter = {
        type_field: 2,
        PageSize: 10
    };
    this.epay = function() {
        var channel = api.db.get('channel') || {link: 0,channel: '未知'};
        app.gopay(
          this.data.paylink,
          channel.link,
          0,
          0);
    };
    this.esearch=function(){
      var keyword = $('#keyword').val();
      api.page.go('/pages/main/search?keyword='+keyword)
    }
    this.egomine = function() {
        if (app.checklogin()) {
            api.page.go('/pages/mine/userindex');
        }
    };

    this.onLoad = function(opt, cb) {
        this.listinit();
        //this.getNovelType(opt);
        this.refresh(cb);
        $('#categoryApp').show();
        this.filter.sexType = app.user.sex == 1 ? 2 : 1;
        this.data.sex = this.filter.sexType;
        app.onready(function() {
            $('.search_area').css('margin-top',api.winHeight /5);
            self.loadList();
                //self.readhistory();
            var user = api.db.get('user') || {};
            if(user && user.avatar){
                var img = user.avatar.split('../');
                self.setData({avatar :img[2]});
            }
            $('.navfixed').hide();
            var nTop = $(".nav")[0].offsetTop;
            var nHeight = $(".nav")[0].offsetHeight;
            $(window).scroll(function(){
              var _sHeight = $(window).scrollTop();
              if(_sHeight >= nTop+nHeight){
                $(".navfixed").show();
              }else{
                $(".navfixed").hide();
              }
            });
        });
    };
    this.loadList = function() {

        if (data[self.filter.type_field]) {
            self.data.booklist = data[self.filter.type_field];
            self.uiaction();
        } else {
            // 获取app首页小说列表
            api.net.ajaxjson('/novel/home', self.filter).then(function(r) {
                self.data.topnovels = r.data.topnovels;     // 热门推荐
                self.data.hotnovels = r.data.hotnovels;     // 火热畅销
                self.data.newnovels = r.data.newnovels;     // 每周新书
                self.data.lovenovels = r.data.lovenovels;   // 猜你喜欢
                self.data.limitfree = r.data.limit;         // 限时免费
                self.data.banner = r.data.banner;
                app.paylink = r.data.paylink;
                self.data.followimg = r.data.followimg;
                app.followimg = r.data.followimg;
                self.data.paylink = r.data.paylink;
                data[self.filter.type_field] = r.data.list;
                self.setData({
                    booklist: r.data.list
                });
                self.uiaction();
            });
        }
    };
    this.base = Api.list;
    this.base({
        loading: true,
        loadmore: true,
        dname: 'list',
        elist: 'category_list',
        listurl: '/novel/getBookShelf',
        showcall: function(r) {
            self.setData({
                list: r.list
            });
        }
    });
    this.listfilter = {
        PageIndex: 0,
        PageSize: 10,
        type_field: '',
        types: '',
        update_status: ''
    };
    this.eopenlable = function(r) {
        this.data.cate_status = r.dataset.type;
    };
    this.getNovelType = function(opt) {
        api.net.ajaxjson('/novel/getNovelType', {}).then(function(ret) {
            self.setData({
                categories: ret.data.list
            });
            self.listfilter.types = self.data.types = opt.type || '';
            self.listfilter.PageSize = 10;
        });
    };
    this.clearData = function() {
        self.data.list = [];
        this.listfilter.PageIndex = 0;
    };
    this.erefreshlist = function(r) {
        self.data[r.dataset.type] = r.dataset.id;
        self.listfilter[r.dataset.type] = r.dataset.id;
        self.clearData();
        self.refresh();
    };
    this.uiaction = function () {
        var bannerArr= [];
        if(self.data.banner && self.data.banner.length>0){
            $.each(self.data.banner,function(i,v){
               bannerArr.push(v.across_cover);
            })
        }
        var UIScrollPicture = api.require('UIScrollPicture');
        UIScrollPicture.open({
            rect: {x: 0,y: api.page.headerH,w: api.winWidth,h: api.winHeight / 3.8},
            data: {
                paths: bannerArr
            },
            styles: {
                caption: {height: 35,color: '#E0FFFF',size: 13,bgColor: '#696969',position: 'bottom'},
                indicator: {
                    dot: {w: 20,h: 10,r: 5,margin: 20},
                    align: 'center',
                    color: '#FFFFFF',
                    activeColor: '#DA70D6'
                }
            },
            // placeholderImg: 'widget://res/slide1.jpg',
            contentMode: 'scaleToFill',
            interval: 3,
            fixedOn: api.frameName,
            loop: true,
            fixed: false
        }, function (ret, err) {
            $('.search_area').css('margin-top',api.winHeight /5);
            if (ret.eventType == 'click') {
               Api.page.go("/pages/novel/detail?id=" + self.data.banner[ret.index].id);
            }
        });
    }
};
