var mineuserindex = function() {
    var self = this;
    this.onLoad = function(opt, cb) {
        app.onready(function() {
            self.userinfo(cb);
            opt.newamount && self.newamount();
        });

        api.net.ajaxjson('/pay/amount', self.opt).then(function(r) {

            var user = api.db.get('user') || {};
            //  console.log(JSON.stringify(user))
            user.amount = r.data.amount;
            app.setuser(user);
            r.data.uname = user.id;
            r.data.uavatar = user.avatar;
            r.data.uid = user.id;
            self.data.kefuimg = r.data.kefuimg || '';
            $('.user_balance strong').text(r.data.amount);
            self.setData(r.data);
            cb && cb(r.data);
        });
    };
    this.newamount = function() {
        api.net.ajaxjson('/user/amountadd').then(function(r) {
            if (r && r.data && r.data.newamount) {
                self.setData({
                    amount: r.data.amount || self.data.amount
                });
                api.msg.alert('成功领取' + r.data.newamount + '书币');
            }
        });
    };
    this.userinfo = function(cb) {
        api.net
            .ajaxjson('/user/h5info')
            .then(function(r) {
                self.setData(r.data);
                app.paylink = r.data.paylink;
                cb();
            })
            .catch(function(r) {
                alert(JSON.stringify(r));
            });
    };
    this.ecopy = function() {
        clipboard.copy(this.data.id, function(r) {
            !r && api.msg.toast('id复制成功！');
        });
    };
    this.epay = function() {

        app.gopay(this.data.paylink);
    };
};
var mineamount = function() {
    var self = this;
    var payurl = ['/user/payList', '/user/consumeRecord'];
    var listopt = {
        loading: true,
        loadmore: true,
        listurl: '/user/payList',
        // showcall:function(r){
        //   console.log(JSON.stringify(r))
        // }
    };
    this.data = {
        list: [],
        tabindex: 0
    };
    this.base = Api.list;
    this.base(listopt);
    this.etab = function(e) {
        var index = $(e).index();
        if (index != this.data.tabindex) {
            this.data.list = [];
            this.data.tabindex = index;
            listopt.listurl = payurl[index];
            this.refresh();
        }
    };
    this.onLoad = function(opt, cb) {
        var index = opt.tab || 0;
        this.data.tabindex = index;
        listopt.listurl = payurl[index];
        $('#amountlist').height(
            api.device.winHeight -
                $('#amount-tab').height() -
                $('#amount-tab')
                    .prev()
                    .height()
        );
        this.listinit();
        app.onready(function() {
            self.refresh(cb);
        });
    };
};

var mineclear = function() {
    this.onLoad = function() {
        this.data.authtoken = api.db.get('authtoken');
        this.data.cookietoken = api.cookie.get('authtoken');
        this.data.paytoken = api.cookie.get('paytoken');
        this.data.user = JSON.stringify(api.db.get('user'));
    };
    this.eclear = function() {
        api.db.clear();
        api.cookie.clear();
        this.onLoad();
    };
};
