var mainrecharge = function() {
    var self = this;
    var load = false;
    this.init = function(opt) {
        this.opt = opt;
        this.sorigin = window.location.origin.replace(
            '//' + window.location.host.split('.')[0],
            '//' + opt.chost
        );
        this.source = opt.s || this.sorigin + '/';
        this.data.amounturl = this.sorigin + '/pages/mine/amount';
        var activeid = window.location.pathname.split('/');
        activeid = activeid[activeid.length - 1].replace('.html', '');
        if (activeid != 'recharge') {
            this.opt.activeid = activeid;
        }
    };
    this.onLoad = function(opt) {
        this.init(opt);
        app.onready(this.load);
        $('.clearfix li').tap(function() {
            $(this).parents('ul').find('li').removeClass('current');
            $(this).addClass("current");
            self.opt.id = $(this).index() + 1;
            self.epay();
        });
    };
    this.paycb = function(res, err, r) {
        if (res) {
            if (self.opt.nid && self.opt.csid) {
                // 如果是正在阅读页面过来的充值
                api.execScript({ name: 'novelread', script: 'paycb();' });
            }
            api.msg.alert('充值成功！', function() {
                api.page.back();
            });
        } else {
            api.net.ajaxjson(
                '/pay/wxpaycb',
                { id: r.id, err: err },
                { visible: false }
            );
        }
    };
    this.epay = function() {
        if (load) return;
        load = true;
        if (app.wxisinit) {
            self.wxpay();
        } else {
            app.wxinit(function() {
                self.wxpay();
            });
        }
    };
    this.wxpay = function() {
        self.opt.payType = '微信APP';
        api.net
            .ajaxjson('/pay/wxpay', self.opt)
            .then(function(r) {
                load = false;
                if (r.mtype == '掌宜付'){
                    api.pay.zyf(r.data, r, self.paycb);
                }else if(r.mtype == '飞客wap'){
                    api.pay.feike(r.data, r, self.paycb);
                }else{
                    api.pay.weixin(r.data, r, self.paycb);
                }
            })
            .catch(function(r) {
                api.msg.alert(JSON.stringify(r));
            });
    };
    this.load = function(cb) {
        api.net.ajaxjson('/pay/amount', self.opt).then(function(r) {

            var user = api.db.get('user') || {};
            // alert(JSON.stringify(user))
            user.amount = r.data.amount;
            app.setuser(user);
            r.data.uname = user.nickname;
            r.data.uavatar = user.avatar;
            r.data.uid = user.id;
            self.data.kefuimg = r.data.kefuimg || '';
            $('.user_balance strong').text(r.data.amount);
            self.setData(r.data);
            cb && cb(r.data);
        });
    };
};
